#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	Libbpf library
Summary(pl.UTF-8):	Biblioteka libbpf
Name:		libbpf
Version:	1.4.3
Release:	1
License:	LGPL v2.1 or BSD
Group:		Libraries
#Source0Download: https://github.com/libbpf/libbpf/releases
Source0:	https://github.com/libbpf/libbpf/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	52054f321544c32e89f0b766bbac9321
URL:		https://github.com/libbpf/libbpf
BuildRequires:	elfutils-devel
BuildRequires:	linux-libc-headers >= 7:5.4.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	zlib-devel
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	python3-breathe
BuildRequires:	sphinx-pdg-3
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A mirror of bpf-next Linux tree bpf-next/tools/lib/bpf directory plus
its supporting header files. The version of the package reflects the
version of ABI.

%description -l pl.UTF-8
Kopia lustrzana katalogu bpf-next/tools/lib/bpf ze źródeł Linuksa, z
drzewka bpf-next wraz ze wspierającymi plikami nagłówkowymi. Wersja
pakietu odzwierciedla wersję ABI.

%package devel
Summary:	Development files for libbpf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbpf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	elfutils-devel
Requires:	linux-libc-headers >= 7:5.4.0
Requires:	zlib-devel

%description devel
This package contains header files for developing applications that
use libbpf.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących libbpf.

%package static
Summary:	Static libbpf library
Summary(pl.UTF-8):	Statyczna biblioteka libbpf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static library for developing applications that
use libbpf.

%description static -l pl.UTF-8
Ten pakiet zawiera bibliotekę statyczną do tworzenia aplikacji
wykorzystujących libbpf.

%package apidocs
Summary:	API documentation for libbpf library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libbpf
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libbpf library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libbpf.

%prep
%setup -q

%build
# use NO_PKG_CONFIG to link with -lelf -lz, not $(pkg-config --libs libelf) which doesn't contain -lz
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -fPIC" \
	LDFLAGS="%{rpmldflags}" \
	NO_PKG_CONFIG=1 \
	V=1

%if %{with apidocs}
READTHEDOCS=True \
%{__make} -C docs -f sphinx/Makefile html \
	SOURCEDIR=. \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBSUBDIR=%{_lib}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE LICENSE.BSD-2-Clause README.md
%attr(755,root,root) %{_libdir}/libbpf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbpf.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbpf.so
%{_includedir}/bpf
%{_pkgconfigdir}/libbpf.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbpf.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Jun 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libbpf.git;a=log;h=master

* Wed Jun 05 2024 Jan Palus <atler@pld-linux.org> 29c9634
- up to 1.4.3

* Fri May 10 2024 Jan Palus <atler@pld-linux.org> 50139e8
- up to 1.4.2

* Thu May 02 2024 Jan Palus <atler@pld-linux.org> 49eadf7
- up to 1.4.1

* Tue Apr 02 2024 Jan Palus <atler@pld-linux.org> 0ac7450
- up to 1.4.0

* Thu Nov 23 2023 Jan Palus <atler@pld-linux.org> d948bb7
- up to 1.3.0

* Sat Aug 05 2023 Jan Palus <atler@pld-linux.org> 8c67e9d
- up to 1.2.2

* Mon May 15 2023 Jan Palus <atler@pld-linux.org> 8f35f62
- up to 1.2.0

* Fri Feb 24 2023 Jan Palus <atler@pld-linux.org> b956b33
- up to 1.1.0

* Mon Oct 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 5d59859
- updated to 1.0.1 (new soname, all deprecated 0.x interfaces removed)

* Thu Oct 06 2022 Jakub Bogusz <qboosh@pld-linux.org> c820862
- updated to 0.8.1

* Sat Jul 02 2022 Jakub Bogusz <qboosh@pld-linux.org> 11ca823
- updated to 0.8.0

* Thu Feb 24 2022 Jan Palus <atler@pld-linux.org> adaa221
- up to 0.7.0

* Sat Jan 15 2022 Jakub Bogusz <qboosh@pld-linux.org> e40148b
- updated to 0.6.0

* Mon Nov 08 2021 Jakub Bogusz <qboosh@pld-linux.org> 9a6d47a
- updated to 0.5.0
- build apidocs

* Sun Jul 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 8df112a
- updated to 0.4.0

* Sat May 08 2021 Jakub Bogusz <qboosh@pld-linux.org> 5758df0
- updated to 0.3

* Thu Dec 17 2020 Jakub Bogusz <qboosh@pld-linux.org> ab31e09
- updated to 0.2

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 2d35d38
- updated to 0.1.1

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 1930f95
- updated to 0.1.0
- removed obsolete hashmap patch

* Sat Jun 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 7b27c49
- added hashmap patch (fix hashmap on (I)LP32 archs); release 2

